<?php if ($wp_query->max_num_pages > 1) : ?>
    <div id="nav-above" class="navigation">
        <div class="nav-previous"><?php next_posts_link(__('Older posts', 'clearstyle')); ?></div>
        <div class="nav-next"><?php previous_posts_link(__('Newer posts', 'clearstyle')); ?></div>
    </div>
<?php endif; ?>
<?php if (!have_posts()) : ?>
        <div id="post-0" class="post error404 not-found">
            <h1 class="entry-title"><?php _e('Not Found', 'clearstyle'); ?></h1>
            <div class="entry-content">
                <p><?php _e('Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'clearstyle'); ?></p>
        <?php get_search_form(); ?>
    </div>
</div>
<?php endif;
        while (have_posts ()) : the_post(); ?>
<?php if (in_category(_x('gallery', 'gallery category slug', 'clearstyle'))) : ?>
                <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                    <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('Permalink to %s', 'clearstyle'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                    <div class="entry-meta">
        <?php clearstyle_posted_on(); ?>
            </div>
            <div class="entry-content">
        <?php if (post_password_required ()) : ?>
        <?php the_content(); ?>
        <?php else : ?>
        <?php
                        $images = get_children(array('post_parent' => $post->ID, 'post_type' => 'attachment', 'post_mime_type' => 'image', 'orderby' => 'menu_order', 'order' => 'ASC', 'numberposts' => 999));
                        if ($images) :
                            $total_images = count($images);
                            $image = array_shift($images);
                            $image_img_tag = wp_get_attachment_image($image->ID, 'thumbnail');
        ?>
                            <div class="gallery-thumb">
                                <a class="size-thumbnail" href="<?php the_permalink(); ?>"><?php echo $image_img_tag; ?></a>
                            </div>
                            <p><em><?php
                            printf(__('This gallery contains <a %1$s>%2$s photos</a>.', 'clearstyle'),
                                    'href="' . get_permalink() . '" title="' . sprintf(esc_attr__('Permalink to %s', 'clearstyle'), the_title_attribute('echo=0')) . '" rel="bookmark"',
                                    $total_images
                            ); ?></em></p>
        <?php endif; ?>
        <?php the_excerpt(); ?>
        <?php endif; ?>
                        </div>

                        <div class="entry-utility">
                            <a href="<?php echo get_term_link(_x('gallery', 'gallery category slug', 'clearstyle'), 'category'); ?>" title="<?php esc_attr_e('View posts in the Gallery category', 'clearstyle'); ?>"><?php _e('More Galleries', 'clearstyle'); ?></a>
                            <span class="meta-sep">|</span>
                            <span class="comments-link"><?php comments_popup_link(__('Leave a comment', 'clearstyle'), __('1 Comment', 'clearstyle'), __('% Comments', 'clearstyle')); ?></span>
        <?php edit_post_link(__('Edit', 'clearstyle'), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>'); ?>
                        </div>
                    </div>
<?php elseif (in_category(_x('asides', 'asides category slug', 'clearstyle'))) : ?>
                                <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <?php if (is_archive() || is_search()) : ?>
                                    <div class="entry-summary">
        <?php the_excerpt(); ?>
                                </div>
    <?php else : ?>
                                        <div class="entry-content">
        <?php the_content(__('Continue reading', 'clearstyle')); ?>
                                    </div>
    <?php endif; ?>

                                        <div class="entry-utility">
        <?php clearstyle_posted_on(); ?>
                                        <span class="meta-sep">|</span>
                                        <span class="comments-link"><?php comments_popup_link(__('Leave a comment', 'clearstyle'), __('1 Comment', 'clearstyle'), __('% Comments', 'clearstyle')); ?></span>
        <?php edit_post_link(__('Edit', 'clearstyle'), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>'); ?>
                                    </div>
                                </div>
<?php else : ?>
<?php
                                            $c2 = (in_array('sticky', get_post_class())) ? 'clearstyle_c2s' : 'clearstyle_c2';
?>
                                            <div class="clearstyle_c1"><div class="<?php echo $c2 ?>">
                                                    <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                                                        <table class="clearstyle-title" cellpadding="0" cellspacing="0"><tr>
                                                                <td>
                                                                    <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('Permalink to %s', 'clearstyle'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                                                                    <div class="entry-utility">
                            <?php if (count(get_the_category())) : ?>
                                                <span class="cat-links">
                                <?php
                                                printf(__('<span class="%1$s">Posted by</span> <span class="author vcard"><a class="url fn n" href="%2$s" title="%3$s">%4$s</a></span> in %5$s', 'clearstyle'),
                                                        'entry-utility-prep entry-utility-prep-cat-links',
                                                        get_author_posts_url(get_the_author_meta('ID')),
                                                        sprintf(esc_attr__('View all posts by %s', 'clearstyle'), get_the_author()),
                                                        get_the_author(),
                                                        get_the_category_list(', '));
                                ?>
                                            </span>
                                            <span class="meta-sep">|</span>
                            <?php endif; ?>
                            <?php
                                                $tags_list = get_the_tag_list('', ', ');
                                                if ($tags_list):
                            ?>
                                                    <span class="tag-links">
                                <?php printf(__('<span class="%1$s">Tagged</span> %2$s', 'clearstyle'), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list); ?>
                                                </span>
                                                <span class="meta-sep">|</span>
                            <?php endif; ?>
                                                    <span class="comments-link"><?php comments_popup_link(__('Leave a comment', 'clearstyle'), __('1 Comment', 'clearstyle'), __('% Comments', 'clearstyle')); ?></span>
                            <?php edit_post_link(__('Edit', 'clearstyle'), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>'); ?>
                                                </div>
                                            </td>
                                            <td class="clearstyle_calendar">
                                                <div class="entry-meta">
                            <?php clearstyle_posted_on(); ?>
                                                </div>
                                            </td>
                                        </tr></table>
                                    <div class="clearstyle_c3">

                <?php if (is_archive() || is_search()) : ?>
                                                        <div class="entry-summary">
                    <?php the_excerpt(); ?>
                                                    </div>
                <?php else : ?>
                                                            <div class="entry-content">
                    <?php the_content(__('Continue reading', 'clearstyle')); ?>
                    <?php wp_link_pages(array('before' => '<div class="page-link">' . __('Pages:', 'clearstyle'), 'after' => '</div>')); ?>
                                                        </div>
                <?php endif; ?>
                                                        </div>
                                                    </div>
                                                    <div class="clearstyle_clear"></div>
                                                </div></div>
<?php comments_template('', true); ?>
<?php endif; ?>
<?php endwhile; ?>
<?php if ($wp_query->max_num_pages > 1) : ?>
                                                                <div id="nav-below" class="navigation">
                                                                    <div class="nav-previous"><?php next_posts_link(__('Older posts', 'clearstyle')); ?></div>
                                                                    <div class="nav-next"><?php previous_posts_link(__('Newer posts', 'clearstyle')); ?></div>
                                                                </div>
<?php endif; ?>
