<?php
if (!is_active_sidebar('first-footer-widget-area')
        && !is_active_sidebar('second-footer-widget-area')
        && !is_active_sidebar('third-footer-widget-area')
        && !is_active_sidebar('fourth-footer-widget-area')
) {
?>
    <div id="footer-widget-area" role="complementary">
        <div id="first" class="widget-area">
            <ul class="xoxo">
                <h3 class="widget-title">Search</h3>
                <li id="search" class="widget-container widget_search">
<?php get_search_form(); ?>
                </li>
            </ul>
        </div>

        <div id="second" class="widget-area">
            <ul class="xoxo">
                <li id="archives" class="widget-container">
                    <h3 class="widget-title"><?php _e('Archives', 'clearstyle'); ?></h3>
                <ul><?php wp_get_archives('type=monthly'); ?></ul></li>
        </ul>
    </div>

    <div id="third" class="widget-area">
        <ul class="xoxo">
            <li id="calendar" class="widget-container">
                <h3 class="widget-title">Calendar</h3><ul>
<?php get_calendar(); ?></ul></li>
        </ul>
    </div>


    <div id="fourth" class="widget-area">
        <ul class="xoxo">
            <li id="meta" class="widget-container">
                <h3 class="widget-title"><?php _e('Meta', 'clearstyle'); ?></h3><ul>
<?php wp_register(); ?><li><?php wp_loginout(); ?></li><?php wp_meta(); ?></ul></li>
        </ul>
    </div>
</div>
<?php
    return;
}
?>
<div id="footer-widget-area" role="complementary">

<?php if (is_active_sidebar('first-footer-widget-area')) : ?>
        <div id="first" class="widget-area">
            <ul class="xoxo">
<?php dynamic_sidebar('first-footer-widget-area'); ?>
        </ul>
    </div>
<?php endif; ?>

<?php if (is_active_sidebar('second-footer-widget-area')) : ?>
        <div id="second" class="widget-area">
            <ul class="xoxo">
<?php dynamic_sidebar('second-footer-widget-area'); ?>
            </ul>
        </div>
<?php endif; ?>

<?php if (is_active_sidebar('third-footer-widget-area')) : ?>
            <div id="third" class="widget-area">
                <ul class="xoxo">
<?php dynamic_sidebar('third-footer-widget-area'); ?>
                </ul>
            </div>
<?php endif; ?>

<?php if (is_active_sidebar('fourth-footer-widget-area')) : ?>
                <div id="fourth" class="widget-area">
                    <ul class="xoxo">
<?php dynamic_sidebar('fourth-footer-widget-area'); ?>
                    </ul>
                </div>
<?php endif; ?>

</div>
